Cisco error 51 on OSX 10.7.4

rtacconi asked:

Cisco VPN client version 4.9.01.0290 does not work on OSX 10.7.4 but it works on 10.7.2. The issue is that x64 are not supported. I am not sure way it is working on another mac with OSX 10.7.2, which is still Lion and it is x64. I tried to reboot in 32bit but it does not work anymore. I tired other clients, including the in-built client but the decrypted shared key have characters that are known to break the key ($ and &).

Any help?

My answer:


Cisco has EOL’d VPN Client, and so 10.7 is not fully supported (and never will be). Cisco is recommending migration to Cisco AnyConnect.

That’s the bad news.

The good news is that you should be able to configure the VPN connection directly within OS X without installing VPN Client. The other end will have to provide you connection information and possibly a certificate file, but that should be easy enough. Detailed information can be found in Cisco’s documentation.


View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.